import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

import java.util.Collections;
import java.util.Iterator;
import java.util.Set;

public class HelloJNI extends Application {

    // Test Driver
    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage primaryStage) {

        String javaFxVersion = System.getProperty("javafx.version");
        System.out.println("JavaFX Version: " + javaFxVersion);

        Label lbl = new Label("Hello");
        StackPane root = new StackPane();
        root.getChildren().add(lbl);

        Scene scene = new Scene(root, 300, 250);

        primaryStage.setTitle("Hello World!");
        primaryStage.setScene(scene);
        primaryStage.show();

        System.out.println("Hello from Java!");
    }
}